future_key Struct Reference

## Data Fields

key_data_t * | key
key_state_type_t | type
key_state_state_t | next_state
int | pretend_update

## Detailed Description

Definition at line 77 of file enforcer.c.

## Field Documentation

## key

key_data_t* future_key::key

Definition at line 78 of file enforcer.c.

Referenced by update().

## next_state

key_state_state_t future_key::next_state

Definition at line 80 of file enforcer.c.

## pretend_update

int future_key::pretend_update

Definition at line 81 of file enforcer.c.

## type

key_state_type_t future_key::type

Definition at line 79 of file enforcer.c.

The documentation for this struct was generated from the following file:

- src/enforcer/enforcer.c